#==========================================================================================
# The following file contains environment variables that will be used to create
# WAS applicaton server and install Enterprise Apps
#
#==========================================================================================

#---------------------------------------------------
# Install options
#---------------------------------------------------

installCluster					= "false"
installServer					= "false"
setWasVariables					= "false"
installApp						= "true"
installMqQueueConnectionFactory	= "false"
installMqTopicConnectionFactory	= "false"
installMqQueue					= "false"
installMqTopic					= "false"
installVirtualHost				= "false"
installJdbc						= "false"


##################################################################################################
# Application Server and Cluster Related Variables
##################################################################################################

clusterName						= "@@clusterName@@"
serverName 						= "@@clusterName@@"
serverNode 						= "@@nodeName@@"

# The state of the cluster or appserver after a restart of WebSphere
nodeRestartState 				= "@@nodeRestartState@@"
sleepForInstallDuration 		= @@sleepForInstallDuration@@
restartServerAfterInstall 		= "@@restartServerAfterInstall@@"
forceSleepForInstall 			= "false"


##################################################################################################
# Application install Related Variables
##################################################################################################

appName 						= "@@appName@@"
appVersion 						= "1"

entAppName						= appName
app_options 					= ["-server", serverName, "-cluster", clusterName, "-cell", cellName, "-node", nodeName, "-appname", appName  ]
#app_options.append([-preCompileJSPs])
app_options.append("-useMetaDataFromBinary")

#---------------------------------------------------
# Application install classloading Related Variables
# set modifyEntAppConfig = "true" to enable
#---------------------------------------------------

modifyEntAppConfig 				= "@@modifyEntAppConfig@@"

classloaderForApplication 		= "@@classloaderForApplication@@"
classloaderForWebModules 		= "@@classloaderForWebModules@@"
classloaderForSharedLibrary 	= "@@classloaderForSharedLibrary@@"
startingWeightForApplication	= "@@startingWeightForApplication@@"
startingWeightForWebModule 		= "@@startingWeightForWebModule@@"                         # Default for all Modules, overridden below
startingWeightForEjbModule 		= "@@startingWeightForEjbModule@@"                           # Default for all Modules, overridden below
classloaderPolicyForWar 		= "@@classloaderPolicyForWar@@"
appAutoStart 					= "@@appAutoStart@@"

# List module specific configs here
#webModuleClassloaderURI_1 		= "DefaultWebApplication.war"
#webModuleClassloaderPolicy_1 	= "PARENT_FIRST"
#webModuleStartingWeight_1 		= "30000"


#---------------------------------------------------
# Resource 7: Map Web Modules to Virtual Hosts
#---------------------------------------------------
#
# Fields:- Web module:URI:Virtual host:
#
res7_1 = ["JPetStore", "jpetstore-6.0.2-SNAPSHOT.war,WEB-INF/web.xml", "@@clusterName@@"]

app_options.append("-MapWebModToVH")
app_options.append([res7_1])


#---------------------------------------------------
# Resource 8: Map Modules to Shared Libraries
#---------------------------------------------------
#
res8_1 = ["Default Web Application", "DefaultWebApplication.war,WEB-INF/web.xml", "RDSharedLib1+RDSharedLib2" ]

#app_options.append("-MapSharedLibForMod")
#app_options.append([res8_1])

#---------------------------------------------------
# Resource 9: Map Roles to Users
#---------------------------------------------------
#
# Fields:- Role:Everyone :All authenticated :Mapped users:Mapped groups:
#

res9_1 = ["All Role", "AppDeploymentOption.Yes", "AppDeploymentOption.No", "", "LOGIN_AUTH|FULL_AUTH"]

#app_options.append("-MapRolesToUsers")
#app_options.append([res9_1])
